package org.kne.cloud.network.nathole;

import java.io.IOException;
import java.net.InetAddress;
import java.util.Arrays;

public class ICMPNatholeTest {
	public static void main(String[] args) throws IllegalStateException, IOException {
		
	}
	 public static String toString(byte[] a) {
	        if (a == null)
	            return "null";
	        int iMax = a.length - 1;
	        if (iMax == -1)
	            return "[]";

	        StringBuilder b = new StringBuilder();
	        b.append('[');
	        for (int i = 0; ; i++) {
	            b.append( Integer.toString(a[i]&0xff,16));
	            if (i == iMax)
	                return b.append(']').toString();
	            b.append(", ");
	        }
	    }
}
